import 'dart:async';
import 'dart:io';

import 'package:flutter/services.dart';

class IosDeviceCheck {
  static const MethodChannel _channel = const MethodChannel('ios_device_check');

  static bool _ensureSupportedPlatform() {
    if (Platform.isIOS)
      return true;
    throw("ios_device_check plugin is only available on iOS.");
  }

  static Future<bool> get isSupported async =>
      _ensureSupportedPlatform() && await _channel.invokeMethod('isSupported');

  static Future<String> generateToken() async {
    _ensureSupportedPlatform();
    return await _channel.invokeMethod('generateToken');
  }
}
